package com.dsic.gj_erp.bean.pgd;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-11-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="PgdPwjh对象", description="")
public class PgdPwjh implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "船号")
    private String czbh;

    @ApiModelProperty(value = "批量")
    private String pl;

    @ApiModelProperty(value = "分段")
    private String fd;

    @ApiModelProperty(value = "组立")
    private String zl;

    @ApiModelProperty(value = "领取类别")
    private String lqlb;

    @ApiModelProperty(value = "跨位")
    private String kw;

    @ApiModelProperty(value = "套料图号")
    private String tlth;

    @ApiModelProperty(value = "规格")
    private String wpgg;

    @ApiModelProperty(value = "材质")
    private String wpcz;

    @ApiModelProperty(value = "重量")
    private String wpzl;

    @ApiModelProperty(value = "抛丸位置")
    private String pwwz;

    @ApiModelProperty(value = "抛丸计划日期")
    private String pwjhrq;

    @ApiModelProperty(value = "前方需求小组期")
    private String qfxqrqxz;

    @ApiModelProperty(value = "前方需求大组期")
    private String qfxqrqdz;

    @ApiModelProperty(value = "上料计划完工期")
    private String sljhwgrq;

    @ApiModelProperty(value = "抛丸负责人")
    private String pwfzr;

    @ApiModelProperty(value = "校平标识")
    private String jpbs;

    @ApiModelProperty(value = "抛丸加工人员")
    private String pwjgry;

    @ApiModelProperty(value = "抛丸开始日期")
    private String pwksrq;

    @ApiModelProperty(value = "抛丸结束日期")
    private String pwjsrq;

    @ApiModelProperty(value = "状态")
    private String zt;

    @ApiModelProperty(value = "编制人")
    private String bzry;

    @ApiModelProperty(value = "编制日期")
    private String bzrq;

    @ApiModelProperty(value = "下发人")
    private String xfry;

    @ApiModelProperty(value = "下发日期")
    private String xfrq;

    @ApiModelProperty(value = "反馈人")
    private String fkry;

    @ApiModelProperty(value = "反馈日期")
    private String fkrq;

    @ApiModelProperty(value = "反馈原因")
    private String fkyy;

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;


}
