package com.dsic.gj_erp.controller.sy;

import cn.hutool.core.date.DateUtil;
import com.dsic.gj_erp.annotation.AuthFunction;
import com.dsic.gj_erp.bean.ResultBean;
import com.dsic.gj_erp.bean.sy.SyUserLog;
import com.dsic.gj_erp.util.IPUtils;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.net.InetAddress;
import java.net.NetworkInterface;
import java.net.SocketException;
import java.net.UnknownHostException;
import java.util.Collections;
import java.util.Enumeration;
import java.util.List;

@RestController
@RequestMapping("userLog")
@AllArgsConstructor
public class SyUserLogController {

    @PostMapping("save")
    @AuthFunction
    public ResultBean<?> save(@RequestBody SyUserLog log, HttpServletRequest request){
        String name= (String) request.getAttribute("yhms");
        String yhdm= (String) request.getAttribute("yhdm");
        log.setYhdm(yhdm);
        log.setYhms(name);
        String ipAddr = IPUtils.getIpAddr(request);
        log.setIp(ipAddr);
        log.setMac(IPUtils.getMACAddress(ipAddr));
        log.setCreated(DateUtil.now());
        log.insert();
        return new ResultBean<>();
    }
}
