package com.dsic.gj_erp.bean.xiaochi;

import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Getter;
import lombok.Setter;

/**
 * 切割计划及执行情况
 */
@Getter
@Setter
@TableName("tbl_nest_mast")
public class CutPlan extends Model<CutPlan> {
    @TableId(type = IdType.AUTO)
    private Integer nestId;

    private String nestName;

    private String nestNameSub1;//套料图号

    private String nestItaatu;//厚

    private String nestSizeY;//长

    private String nestSizeX;//宽

    private String nestCutHo;//设备id

    private String nestKakuyakuDate;//开始日期

    private String nestKakuyakuTime;//开始时间

    private String nestTumikomiDate;//结束日期

    private String nestTumikomiTime;//结束时间

    private String nestSintyoku;//加工状态（1：计划 3：正在加工 5：完成）

    private String nestExtC02;//船号

    private String nestExtC03;//跨位

    private String nestExtC04;//批

    private String nestExtC05;//操作人

    public String getQgkssj(){
        return StrUtil.isAllNotEmpty(this.nestKakuyakuDate,this.nestKakuyakuTime)?this.nestKakuyakuDate+" "+this.nestKakuyakuTime:"";
    }

    public String getQgjssj(){
        return StrUtil.isNotEmpty(this.nestTumikomiTime)?this.nestTumikomiDate+" "+this.nestTumikomiTime:"";
    }
}
